<template>
	<mind-layout-table :data="ListaRecursos" rowKey="movil" :path="$route.path" @delete="onDelete" >
			<el-table-column sortable prop="movil" label="Móvil" width="100" />
			<el-table-column sortable prop="patente" label="Patente"  />
			<el-table-column sortable prop="marca" label="Marca"  />
			<el-table-column sortable prop="modelo" label="Modelo" width="150" />
			<el-table-column prop="color" label="Color" width="150" />
			<el-table-column prop="año" label="Año" width="150" />
			<el-table-column  label="Activo" width="100">
				<template slot-scope="scope">
					{{scope.row.activo ? 'Si' : 'No'}}
				</template>
			</el-table-column>
	</mind-layout-table>
</template>

<script>
import store from '@/store/moviles'
import {Rest} from '@/../vendor/mind-core-web'

export default {
  async created() {
		store.idAgencia = 1

		this.api = new Rest({
			uri: `/api/viajes/agencias/${store.idAgencia}/moviles`, 
			state: store.data,
			key: 'id'})

		this.api.FetchAll().catch((error)=>{
			this.$message({
				showClose: true,
				type: 'error',
				message: error
			});
		})
	},
	computed:{
		ListaRecursos() {
			let lista = []
			if(!store.data.RESOURCE_LIST) {
				return []
			}
			for(const r of store.data.RESOURCE_LIST) {
				lista.push({
					...r, 
					domicilio: `${r.calle} ${r.numero}`})
			}
			return lista
		},
	},
	methods: {
		/**
		 * Elimina el recuros especificado
		 * @param id recurso del elemento a eliminar
		 */
		onDelete(id){
			this.api.Delete(id).catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});
			})
		},
	},
	data() {
		return {
			api: null,
		}
	}
	
}
</script>
